/*General Reset*/

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: 'Catamaran', sans-serif;
	font-family: 'Montserrat', sans-serif;
}

/*Specific Styling*/

	#banner {
		height: 100vh;
		width: 100vw;
		background-color: #696969;
		background: url(./../assets/images/lamp.png);
		background-repeat: no-repeat;
		background-size: cover;
		background-position: center center;
		background-attachment: fixed;
		display: table;
		position: relative;
	  	margin: 0;
	}

	#banner-text {
		display: table-cell;
		position: absolute;
		left: 50%;
		top: 50%;
		transform: translate(-50%, -50%);
		text-align: center;
	}

	#banner-head {
		color: #ffffff;
		font-weight: 900;
	/*	text-transform: uppercase;
	*/	font-size: 28px;
		text-shadow: 3px 3px 12px #f1f1f1;
	}

	#banner-body {
		color: #ffffff;
		font-weight: 100;
		font-style: italic;
		font-size: 20px;
		text-shadow: 3px 3px 12px #f1f1f1;
	}

	#banner-button {
		display: table-cell;
		position: absolute;
		left: 50%;
		top: 80%;
		transform: translate(-50%, -50%);
		text-align: center;
	}

	#navigation {
		display: none;
		height: 10vh;
		width: 100vw;	
		background-color: #0f0f0f;
		margin: 0;
	}

	.nav-link {
		margin: 0px 40px;
		font-weight: bold;
		color: white;
	}

	#about {
		height: 70vh;
		width: 100vw;	
		background-color: #ffffff;
		margin-right: 0px;
	    margin-left: 0px;
	}

	#heading {
		text-align: center;
		margin: 20px 0px;
		padding: 0px;
		font-size: 1.5rem;
	}

	#paragraph {
		text-align: justify;
		margin: 0px;
		font-size: .7rem;
	}


	#skill {
		height: 100vh;
		width: 100vw;	
		background-color: #D3D3D3;
		/*background: url(./../assets/images/books.png);*/
		background-repeat: no-repeat;
		background-size: cover;
		background-position: center center;
		background-attachment: fixed;
		padding: 0px;
		margin: 0px;
	}

	#skillset {

	}

	#skill-body {

	}

	#skill-body div h3 {
		font-size: 1rem;
	}

	.skill {
		height: 35px;
		width: 35px;
		border-radius: 2px 8px 2px;
		border: 5px solid #ffffff;
		background-color: #f5f5f5;
	}

	#capstone1 {
		height: 90vh;
		width: 100vw;	
		background-color: #ffffff;
		padding: 0px;
		margin: 0px;
	}

	#capstone2 {
		height: 100vh;
		width: 100vw;	
		background-color: #f7f7f7;
		padding: 0px;
		margin: 0px;
	}

	#capstone3 {
		height: 105vh;
		width: 100vw;	
		background-color: #ffffff;
		padding: 0px;
		margin: 0px;
	}

	#capstone-container {
		padding: 0px;
		margin: 0px;
	}

	#capstone-content {
		padding: 0px;
		margin: 0px;
		text-align: justify;
		font-size: .6rem;
	}

	#capstone-content div h5 {
		font-size: 1rem;
		margin-top: 5px;
	}

	.capstone {
		width: 75vw;
/*		position: absolute;
		left: 50%;
		top: 50%;
		transform: translate(-50%, 0%);	*/
		margin: 0 auto;
	}

	.icons {
		height: 35px;
		width: 35px;
	}

	.socials {
		height: 35px;
		width: 35px;
		margin: 0px 5px;
		padding-top: 5px;
	}

	#contact {
		height: 70vh;
		width: 100vw;	
		background-color: #D3D3D3;
		padding: 0px;
		margin: 0px;
	}

	#form-group {

	}

	#contact-button {
		
	}

	#footer {
		height: 15vh;
		width: 100vw;	
		background-color: #0f0f0f;
		padding: 0px;
		margin: 0px;
	}

@media only screen and (min-width: 401px) {

	#banner {
		height: 100vh;
		width: 100vw;
		background-color: #696969;
		background: url(./../assets/images/lamp.png);
		background-repeat: no-repeat;
		background-size: cover;
		background-position: center center;
		background-attachment: fixed;
		display: table;
		position: relative;
	  	margin: 0;
	}

	#banner-text {
		top: 60%;
	}

	#banner-head {
		font-size: 2rem;
	}

	#banner-body {
		font-size: 1.5rem;
		margin-top: 5%;
	}

	#banner-button {
		font-size: 3rem;
	}

	#about {
		height:50vh;
	    font-size: 3rem;
	}

	#paragraph {
		font-size: .9rem;
	}

	.skill {
		height: 50%;
		width: 15%;
	}
	
	#skill {
		height: 80vh;
	}

	#skillset {
		padding: 0px;
	}

	#skill-body {
		width: 100vw;
		padding: 0px;
		margin: 0px; 
	}

	#capstone1 {
		height: 68vh;
	}

	#capstone2 {
		height: 80vh;
	}

	#capstone3 {
		height: 83vh;
	}

	#capstone-content {
		font-size: .9rem;
	}

	#capstone-content div h5 {
		font-size: 1.2rem;
	}

	.icons {
		height: 15%;
		width: 15%;
	}

	.socials {
		height: 15%;
		width: 15%;
		padding-top: 10px;
	}

	#contact {
		height: 45vh;
	}

}

@media only screen and (min-width: 961px) {


	#banner-head {
		font-size: 2.5rem;
	}

	#banner-body {
		font-size: 1.8rem;
	}

	#banner-button {
		font-size: 3.5rem;
	}

	#navigation {
		display: block;
		height: 10vh;
		width: 100vw;	
		background-color: #0f0f0f;
		margin: 0;
	}

	#navbarNavDropdown {
		margin: 0;
		padding: 25px;
	}

	

	.nav-link {
		margin: 0px 40px;
		font-weight: bold;
		color: white;
	}

	#about {
		height: 40vh;
		width: 100vw;	
		background-color: #ffffff;
		margin-right: 0px;
	    margin-left: 0px;
	}

	#heading {
		text-align: center;
		margin: 60px 0px;
		padding: 0px
	}

	#paragraph {
		text-align: justify;
		margin: 0px;	
	}


	#skill {
		height: 60vh;
		width: 100vw;	
		background-color: #D3D3D3;
		/*background: url(./../assets/images/books.png);*/
		background-repeat: no-repeat;
		background-size: cover;
		background-position: center center;
		background-attachment: fixed;
		padding: 0px;
		margin: 0px;
	}

	#skillset {

	}

	#skill-body {

	}

	.skill {
		height: 70px;
		width: 70px;
		border-radius: 2px 8px 2px;
		border: 5px solid #ffffff;
		background-color: #f5f5f5;
	}

	#capstone1 {
		height: 60vh;
		width: 100vw;	
		background-color: #ffffff;
		padding: 0px;
		margin: 0px;
	}

	#capstone2 {
		height: 60vh;
		width: 100vw;	
		background-color: #f7f7f7;
		padding: 0px;
		margin: 0px;
	}

	#capstone3 {
		height: 60vh;
		width: 100vw;	
		background-color: #ffffff;
		padding: 0px;
		margin: 0px;
	}

	#capstone-container {
		padding: 0px;
		margin: 0px;
	}

	#capstone-content {
		padding: 0px;
		margin: 0px;
	}

	.capstone {
		width: 30vw;	
	}

	.icons {
		height: 70px;
		width: 70px;
	}

	.socials {
		height: 70px;
		width: 70px;
		margin: 0px 30px;
	}

	#contact {
		height: 50vh;
		width: 100vw;	
		background-color: #D3D3D3;
		padding: 0px;
		margin: 0px;
	}

	#footer {
		height: 12vh;
		width: 100vw;	
		background-color: #0f0f0f;
		padding: 10px 0px;
	}

}

